package java.security;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.net.URI;

public final class DomainLoadStoreParameter implements KeyStore.LoadStoreParameter
{
    private final URI configuration;
    private final Map<String, KeyStore.ProtectionParameter> protectionParams;
    
    public DomainLoadStoreParameter(URI configuration, Map<String, KeyStore.ProtectionParameter> m) {
        if (configuration == null || m == null) {
            throw new NullPointerException("invalid null input");
        }
        this.configuration = configuration;
        this.protectionParams = Collections.unmodifiableMap(new HashMap(m));
        return;
    }
    
    public URI getConfiguration() {
        return this.configuration;
    }
    
    public Map<String, KeyStore.ProtectionParameter> getProtectionParams() {
        return this.protectionParams;
    }
    
    @Override
    public KeyStore.ProtectionParameter getProtectionParameter() {
        return null;
    }
}
